module command.remoteundostatusmacro.tvoffcommand;

import command.remoteundostatusmacro.command;
import command.remoteundostatusmacro.tv;

class TVOffCommand : Command
{
    TV tv;

    this(TV tv)
    {
        this.tv = tv;
    }

    void execute()
    {
        tv.off();
    }

    void undo()
    {
        tv.on();
    }
}
